WebLogicCluster (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicCluster interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicCluster

All Superinterfaces:
  AppServerCluster, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebLogicCluster

extends AppServerCluster

A WebLogic Server Cluster.

Naming Rules:
  0="parent,name"
Persistable:
  true
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServerCluster
`RUNNING, STOPPED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getClientCertProxyEnabled()`
`java.lang.String` | `getClusterAddress()`
`java.lang.String` | `getDefaultLoadAlgorithm()`
`java.lang.String` | `getMulticastAddress()`
`int` | `getMulticastSendDelay()`
`int` | `getMulticastTTL()`
`java.lang.String` | `getName()`
`WebLogicDomain` | `getParent()`
`boolean` | `hasClientCertProxyEnabled()`
`boolean` | `hasClusterAddress()`
`boolean` | `hasDefaultLoadAlgorithm()`
`boolean` | `hasMulticastAddress()`
`boolean` | `hasMulticastSendDelay()`
`boolean` | `hasMulticastTTL()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`void` | `setClientCertProxyEnabled(boolean clientCertProxyEnabled)`
`void` | `setClusterAddress(java.lang.String clusterAddress)`
`void` | `setDefaultLoadAlgorithm(java.lang.String defaultLoadAlgorithm)`
`void` | `setMulticastAddress(java.lang.String multicastAddress)`
`void` | `setMulticastSendDelay(int multicastSendDelay)`
`void` | `setMulticastTTL(int multicastTTL)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(WebLogicDomain domain)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServerCluster
`getIp, getPort, getServers, getStatus, getVipFunction, hasIp, hasPort, hasServers, hasStatus, hasVipFunction, setIp, setPort, setServers, setStatus, setVipFunction`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getParent

    WebLogicDomain getParent()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setParent

    void setParent(WebLogicDomain domain)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getClusterAddress

    java.lang.String getClusterAddress()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClusterAddress

    void setClusterAddress(java.lang.String clusterAddress)

### hasClusterAddress

    boolean hasClusterAddress()

### getDefaultLoadAlgorithm

    java.lang.String getDefaultLoadAlgorithm()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultLoadAlgorithm

    void setDefaultLoadAlgorithm(java.lang.String defaultLoadAlgorithm)

### hasDefaultLoadAlgorithm

    boolean hasDefaultLoadAlgorithm()

### getMulticastAddress

    java.lang.String getMulticastAddress()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMulticastAddress

    void setMulticastAddress(java.lang.String multicastAddress)

### hasMulticastAddress

    boolean hasMulticastAddress()

### getMulticastSendDelay

    int getMulticastSendDelay()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMulticastSendDelay

    void setMulticastSendDelay(int multicastSendDelay)

### hasMulticastSendDelay

    boolean hasMulticastSendDelay()

### getMulticastTTL

    int getMulticastTTL()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMulticastTTL

    void setMulticastTTL(int multicastTTL)

### hasMulticastTTL

    boolean hasMulticastTTL()

### getClientCertProxyEnabled

    boolean getClientCertProxyEnabled()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClientCertProxyEnabled

    void setClientCertProxyEnabled(boolean clientCertProxyEnabled)

### hasClientCertProxyEnabled

    boolean hasClientCertProxyEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD